Skip to main content
`Ctrl`+`K`

# TSSundialsSetMaxl

Sets the dimension of the Krylov space used by GMRES in the linear solver in `TSSUNDIALS`. `TSSUNDIALS` DOES NOT use restarted GMRES so this is the maximum number of GMRES steps that will be used.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSundialsSetMaxl(TS ts, PetscInt maxl)

Logically Collective

## Input Parameters

- ts - the time-step context

- maxl - number of direction vectors (the dimension of Krylov subspace).

## See Also

TS: Scalable ODE and DAE Solvers, `TSSundialsGetIterations()`, `TSSundialsSetType()`, `TSSundialsSetLinearTolerance()`, `TSSundialsSetGramSchmidtType()`, `TSSundialsSetTolerance()`, `TSSundialsGetPC()`, `TSSetExactFinalTime()`

## Level

advanced

## Location

src/ts/impls/implicit/sundials/sundials.c

## Implementations

TSSundialsSetMaxl_Sundials() in src/ts/impls/implicit/sundials/sundials.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages